import "codable.dart";

class LatLng implements Codable {
  double? latitude;

  double? longitude;

  LatLng({required this.latitude, required this.longitude});

  @override
  Map<String, dynamic> toJson() {
    return {
      'latitude': latitude,
      'longitude': longitude,
    };
  }

  factory LatLng.fromJson(Map<String, dynamic> map) {
    return LatLng(
      latitude: map['latitude'],
      longitude: map['longitude'],
    );
  }
}
